DEV: Remove `.es6` extensions from core (PR #14912)

Still supported in plugins though.

GitHub